% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/resample.R
\name{sampleV}
\alias{sampleV}
\title{Resample}
\usage{
sampleV(x, size, replace = FALSE, prob = NULL)
}
\arguments{
\item{x}{either a vector of one or more elements from which to choose,
    or a positive integer.  See \sQuote{Details.}}

\item{size}{a non-negative integer giving the number of items to choose.}

\item{replace}{should sampling be with replacement?}

\item{prob}{a vector of probability weights for obtaining the elements
    of the vector being sampled.}
}
\value{
A random permutation, as in \code{sample}, but with \code{size} vectorized.
}
\description{
A version of sample that doesn't have awkward behaviour when \code{length(x) == 1}.
Vectorized version of \code{sample} using \code{Vectorize}
}
\details{
Intended for internal use only. \code{size} is vectorized.
}
\keyword{internal}
